Bug 1124942 - [Doc] unnecessary reference to /tmp/keystone-signing-swift?
Summary: [Doc] unnecessary reference to /tmp/keystone-signing-swift?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Summer Long
QA Contact: Andrew Dahms
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 17:05 UTC by John Fulton
Modified: 2018-12-06 17:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 15807, Installation and Configuration Guide-4 Build Date: 26-03-2014 09:37:23 Topic ID: 16781-620193 [Latest]
Last Closed: 2014-09-04 13:07:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Fulton 2014-07-30 17:05:53 UTC
Title: Configure the Object Storage Service Proxy Service

Describe the issue:

Step 3 of chapter 10.5.3. Configure the Object Storage Service Proxy Service of the Installation and Configuration Guide for Red Hat Enterprise Linux OpenStack Platform asks the user to do the following confusing and unecessary step. 

 chown swift:swift /tmp/keystone-signing-swift

This is confusing because this directory will not exist if the document is followed verbatim. 

It is unecessary because in no place in the document does it specify that the user should define this directory by adding "signing_dir = /tmp/keystone-signing-swift" to /etc/swift/proxy-server.conf under the [filter:authtoken] section. Also, omitting it will result in the cert cache being stored in a directory created at random that matches /tmp/keystone-signing-*. 

Suggestions for improvement:

Remove Step 3. 

Additional information:

The exact URL where I saw this is: 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/4/html/Installation_and_Configuration_Guide/Configuring_the_Object_Storage_Service_Proxy_Service.html

Comment 2 Andrew Dahms 2014-07-30 21:57:35 UTC
Assigning to Summer Long, as the designated author for Swift.

Comment 4 Andrew Dahms 2014-08-05 22:15:54 UTC
Checked in 16781 and 30544.

Moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.